function freeparams = pop_freeparams(paramvec, free_flags)
%
% POP_FREEPARAMS pulls the free parameters out of the entire parameter
% vector.
%

%
% Greg Duffee
% October 2005
%

ok_indexes = 1:length(paramvec);
ok_indexes = ok_indexes(free_flags == 1); 
freeparams = paramvec(ok_indexes); 

end
