function result = vech_inv(a)
% Inverse of vech function.  I do not check whether the length
% of a is valid.

%
% Greg Duffee
% April 2005
%

len = length(a); 
dim = round((sqrt(1+8*len) - 1)/2); 
result = zeros(dim,dim); 
this_index = 0; 
for i = 1:dim
    for j = i:dim
        this_index = this_index + 1; 
        result(i,j) = a(this_index); 
        result(j,i) = a(this_index); 
    end
end

end

