function [delta0 delta1 ...
          mu K Sigma bailout] = buildRESolution(RE_output, ...
                                                  means)
% BUILD_MATRICES constructs vectors and matrices used in the model.

%
% Greg Duffee
% July 2011
%

delta0 = 0;
delta1 = [0 0 1 0]';
mu = [];
K = [];
Sigma = [];
Bmat = []; 
bailout = 0;

if (RE_output.maxEig >= 1.000) 
  bailout = 1;
else
  K = RE_output.Omegan;
  Sigma = chol(RE_output.fullVCV)';
  meanVec = [means(1); means(2); means(3); means(2)];
  mu = (eye(4) - K)*meanVec;
end

return
