function [freeparams bigparamvec free_index] = setup_initparams( ...
    means_vals, bcm_vals, stddev_vals, A_vals, B_vals, errorSD_vals, ...
    means_flag, bcm_flag, stddev_flag, ...
    A_flag, B_flag, errorSD_flag);
%
% SETUP_INITPARAMS gets the initial vectors of free parameters and
% unrestricted parameters.  
%

%
% Greg Duffee
% June 2011
%

[bigparamvec free_index] = pack_allparams( ...
    means_vals, bcm_vals, stddev_vals, A_vals, ...
    B_vals, errorSD_vals, ...
    means_flag, bcm_flag, stddev_flag, A_flag, ...   
    B_flag, errorSD_flag); 

freeparams = pop_freeparams(bigparamvec, free_index); 

return

