function bigparamvec = poke_freeparams(freeparams, paramvec, free_flags)
%
% POKE_FREEPARAMS pokes the free parameters into the entire parameter vector.
%

%
% Greg Duffee
% October 2005
%

bigparamvec = paramvec; 

this_index = 0; 
for i = 1:length(paramvec)
    if (free_flags(i) == 1) 
        this_index = this_index + 1; 
        bigparamvec(i) = freeparams(this_index);
    end
end

end
