function [inputfile outputfile] = read_control(filename)
%
% READ_CONTROL() is a routine that reads the name of two files
% from the passed file name.
%
% An example of a valid control file is 
%
% input readthis.in
% output writethis.out
%
% The strings 'readthis.in' and 'writethis.out' are read and saved.

% Greg Duffee
% September 2005
%

fid = fopen(filename, 'r'); 
output = textscan(fid, '%s %s');
fclose(fid); 
inputfile = char(output{2}(1));
outputfile = char(output{2}(2));

end
